/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';

.landingLayout {
  width: 100%;
  min-height: 100vh;
  display: flex;
  flex-direction: column;

  &__header {
    height: var(--landingHeight, '720px');
    display: flex;
    justify-content: center;
    align-items: center;
    background-repeat: no-repeat;
    object-fit: cover;
    background-size: cover;
    background-position: center;
    // transition: all 1s;
    &.--notShowInMobile {
      display: flex;
      @include breakpoint(xl) {
        display: none;
      }
    }
    &__content {
      height: 100%;
    }

    &.--draftProject {
      flex: 1;
      background-repeat: no-repeat;
      object-fit: cover;
      background-size: cover;
      background-position: center;
      display: flex;
      justify-content: center;
      align-items: center;
      &__content {
        @include respond(mobile) {
          width: 100%;
          padding-inline: 1rem;
        }
        @include respond(tablet) {
          width: 100%;
          padding-inline: 4.1875rem;
        }
        @include respond(laptop) {
          width: 100%;
          padding-inline: 9.875rem;
        }
        @include respond(desktop) {
          width: 86rem;
          padding: 0;
        }
      }
    }
  }
  &__body {
    margin-block: 1.3125rem;
    flex-grow: 1;
    @include respond(mobile) {
      margin-block: 1.5rem;
    }
    @include respond(tablet) {
      margin-block: 2.25rem;
    }
    @include respond(laptop) {
      margin-block: 2.5rem;
    }
  }
  &__body {
    display: flex;
    align-items: center;
    flex-direction: column;
  }
  &__header__content,
  &__body__content {
    @include respond(mobile) {
      width: 100%;
      padding-inline: 1rem;
    }
    @include respond(tablet) {
      width: 100%;
      padding-inline: 4.1875rem;
    }
    @include respond(laptop) {
      width: 100%;
      padding-inline: 9.875rem;
    }
    @include respond(desktop) {
      width: 86rem;
      padding: 0;
    }
  }
  &__previewInfoMessage {
    position: sticky;
    top: $header-height;
    width: 100%;
    z-index: 1;
  }
  &__alertEditedProject {
    width: 100%;
    color: white;
    background-color: $coa-light-orange-200;
    @include primary-text(1rem, $coa-orange-200, 600);
    text-align: center;
    border: 2px solid $coa-orange-200;
    border-radius: 60px;
    padding-block: 0.7188rem;
    margin-bottom: 2.5rem;
  }
}

.scrolledLadingHeader {
  @include respond(desktop) {
    position: sticky;
    top: var(--topLadingHeader, 60px);
    height: 220px;
    line-height: 50px;
    z-index: 1;
  }
}

.scrolledLadingHeaderAnimate {
  transition: all 0.4s;
  -webkit-transition: all 0.4s;
  -moz-transition: all 0.4s;
  -ms-transition: all 0.4s;
  -o-transition: all 0.4s;
}
